//////////////////////////////////////////////////////////////////////
//       SpeedStep Centrino © Gergely Rózsahegyi (RoGer) 2005       //
//                           roger@beos.hu                          //
//                                                                  //
//                       SeedStep Header File                       //
//                                                                  //
//                       Created:  2005.05.23                       //
//                                                                  //
//////////////////////////////////////////////////////////////////////

#ifndef __SPEEDSTEP_H__
#define __SPEEDSTEP_H__

#include "SpeedStep_Table.h"

#define SPEEDSTEP_INIT 'ssi'
#define SPEEDSTEP_SET_P0 'ss0'
#define SPEEDSTEP_SET_P1 'ss1'
#define SPEEDSTEP_SET_P2 'ss2'
#define SPEEDSTEP_SET_P3 'ss3'
#define SPEEDSTEP_SET_P4 'ss4'
#define SPEEDSTEP_SET_P5 'ss5'
#define SPEEDSTEP_SET_P6 'ss6'
#define SPEEDSTEP_SET_P7 'ss7'
#define SPEEDSTEP_SET_P8 'ss8'
#define SPEEDSTEP_SET_P9 'ss9'

#define rdmsr(msr,val1,val2) \
     __asm__ __volatile__("rdmsr" \
                          : "=a" (val1), "=d" (val2) \
                          : "c" (msr))

#define wrmsr(msr,val1,val2) \
     __asm__ __volatile__("wrmsr" \
                          : /* no outputs */ \
                          : "c" (msr), "a" (val1), "d" (val2))

#endif
